package osa.attribute.atgrammar.gui.actions;

import javax.swing.*;
import javax.swing.AbstractAction;
import java.awt.event.*;

import osa.attribute.atgrammar.gui.images.*;
import osa.attribute.atgrammar.gui.panels.atgrammar_panels.ATGrammarTabPane;

import osa.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: </p>
 * <p>Company: </p>
 * @author not attributable
 * @version
 */

public class ImportGrammarAction
  extends AbstractAction
  {
  public ImportGrammarAction()
    {
    this.putValue(AbstractAction.SMALL_ICON,ImageLoader.loadImage("new.gif"));
    this.putValue(AbstractAction.SHORT_DESCRIPTION,"Импортировать синтаксис");
    }

  public void actionPerformed(ActionEvent e)
    {
    // getting syntax OSA grammr
    osa.Grammar syntax_grammar=MainFrame.getInstace().getGrammar();

//    JOptionPane.showConfirmDialog(null,"Текущая АТ грамматика будет перезаписана.\nВы уверены, что хотите этого ?","Внимание!",)

    // constructing attribute_grammar
    osa.attribute.atgrammar.grammar.Grammar attribute_grammar;
    attribute_grammar=osa.attribute.atgrammar.grammar.Grammar.getInstance();
    attribute_grammar.createFromSyntax(syntax_grammar);

    // updating all components
    ATGrammarTabPane.getInstance().getATGrammarPane().updateAll();
    }
  }